Issue 10

Title
Submitting Bugreports from Client fails
Priority
bug
Status
resolved
Nosy list
ced, htgoebel
Assigned to
ced
Keywords

Created on 2008-05-18.17:45:46 by htgoebel, last changed 163 months ago by htgoebel.

Files

File name Uploaded Type Details
print.patch ced, 2008-05-20.20:12:36 application/octet-stream view

Messages

Author: [hidden] (htgoebel)
Date: 2008-05-26.21:39:02
As I just submitted another bug which has the "french quotes" charakters in the
error message, I confirm that this but is fixed.
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2008-05-20.23:07:32
Must be fixed with the changeset e3d03b055884
Author: [hidden] (htgoebel)
Date: 2008-05-20.20:30:46
It says:
<type 'str'>

So I added print repr(msg), too. Here is the (shortende) result:

'Traceback (most recent call last):\n  
...
73, in execute\nIntegrityError:  NULL-Wert in Spalte \xc2\xbbmodel\xc2\xab
verletzt Not-Null-Constraint\n\n'

So this is a 8-bit string. I assume, roundup does not like this.
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2008-05-20.20:12:36
Here is a patch to add a print statement, to see the type of the msg.
Can you give me the output?
Author: [hidden] (htgoebel)
Date: 2008-05-20.18:47:02
After switching to 'C' locale, submitting the bus succeded, see issue29.
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2008-05-20.17:54:12
Can you try with the locales of the system set to C?
We will be sure that is the problem.
Author: [hidden] (htgoebel)
Date: 2008-05-20.17:44:47
Yes. Thanks to other changes you made for displaying bugs/tracebacks, I can now
give some more traceback:

This is the traceback when submitting the bug. Still no more relevnt information
 :-(

...8<----------------
Exception:
Traceback (most recent call last):
  File "/home/hartmut/devel/tryton/tryton/tryton/common/common.py", line 373, in
send_bugtracker
    'author=' + str(user), 'summary=' + str(msg_md5)])
  File "/usr/lib/python2.5/xmlrpclib.py", line 1147, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib/python2.5/xmlrpclib.py", line 1437, in __request
    verbose=self.__verbose
  File "/usr/lib/python2.5/xmlrpclib.py", line 1201, in request
    return self._parse_response(h.getfile(), sock)
  File "/usr/lib/python2.5/xmlrpclib.py", line 1340, in _parse_response
    return u.close()
  File "/usr/lib/python2.5/xmlrpclib.py", line 787, in close
    raise Fault(**self._stack[0])
Fault: <Fault 1: 'roundup.admin.UsageError:create() keywords must be strings'>
...8<----------------

Below please find the traceback I wanted to submit, Note the non-ascii letters
in the last line. So mayme this is an encoding problem. My system is set up
using UTF-8, thus postgres reports in UTF-8. But already the traceback is
displayed incorretly: the "french quotes" (as we call them in German) look like
they typicali look when outputing UTF-8 to a 8-bit display.

...8<----------------
Traceback (most recent call last):
  File "/trytond/netsvc.py", line 354, in run
    res = method(*msg[2:])
  File "/tmp/tryton/trytond/trytond/web_service/wizard.py", line 48, in execute
  File "/tmp/tryton/trytond/trytond/web_service/wizard.py", line 26, in _execute
  File "/tmp/tryton/trytond/trytond/wizard/wizard.py", line 62, in execute
  File "/tmp/tryton/trytond/trytond/wizard/wizard.py", line 39, in execute_cr
  File "/tmp/tryton/trytond/trytond/wizard/wizard.py", line 174, in execute
  File "/trytond/ir/module/module.py", line 598, in _upgrade_module
    restart_pool(dbname, update_module=True, lang=lang)
  File "/tmp/tryton/trytond/trytond/pooler.py", line 53, in restart_pool
  File "/tmp/tryton/trytond/trytond/pooler.py", line 39, in get_db_and_pool
  File "/trytond/module.py", line 311, in load_modules
    load_module_graph(cursor, graph, lang)
  File "/trytond/module.py", line 227, in load_module_graph
    tools.file_open(OPJ(module, filename)))
  File "/tmp/tryton/trytond/trytond/tools/convert.py", line 373, in parse_xmlstream
  File "/site-packages/_xmlplus/sax/expatreader.py", line 109, in parse
    xmlreader.IncrementalParser.parse(self, source)
  File "/site-packages/_xmlplus/sax/xmlreader.py", line 123, in parse
    self.feed(buffer)
  File "/site-packages/_xmlplus/sax/expatreader.py", line 216, in feed
    self._parser.Parse(data, isFinal)
  File "/site-packages/_xmlplus/sax/expatreader.py", line 315, in end_element
    self._cont_handler.endElement(name)
  File "/tmp/tryton/trytond/trytond/tools/convert.py", line 416, in endElement
  File "/tmp/tryton/trytond/trytond/tools/convert.py", line 269, in endElement
  File "/tmp/tryton/trytond/trytond/tools/convert.py", line 601, in import_record
  File "/tmp/tryton/trytond/trytond/ir/model.py", line 137, in create
  File "/trytond/osv/orm.py", line 1650, in create
    'VALUES (' + str(id_new) + upd1 + ')', tuple(upd2))
  File "/tmp/tryton/trytond/trytond/sql_db.py", line 73, in execute
IntegrityError:  NULL-Wert in Spalte »model« verletzt Not-Null-Constraint
...8<----------------
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2008-05-19.17:04:41
It must have more lines in the traceback?
Author: [hidden] (htgoebel)
Date: 2008-05-19.15:19:57
Still fails:

 File "/home/hartmut/devel/tryton/tryton/tryton/common/common.py", line 364, in
send_bugtracker
    msg_ids = server.filter('msg', None, {'summary': str(msg_md5)})

SO it looks as if the "None" is the problem here. (I can't find the docs for
roundup xmlrpc, so I can not help here.)

BTW: msg_md5 is already a string. No need to convert.
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2008-05-19.14:32:30
And with the changeset 3a1d0bf5565f
Author: [hidden] (htgoebel)
Date: 2008-05-19.13:23:23
Still fails:

  File "tryton/common/common.py", 364, in send_bugtracker
    msg_ids = server.filter('msg', None, {'summary': msg_md5})
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2008-05-19.10:24:41
I submit some improvement.
Please re-try.
Author: [hidden] (htgoebel)
Date: 2008-05-18.17:45:46
When I tiried to submit #9 from teh GUI Client, I got this error-box:

Exception:
<Fault 1: 'roundup.admin.UsageError:create() keywords must be strings'>
History
Date User Action Args
2008-05-26 21:39:08htgoebelsetstatus: chatting -> resolved
2008-05-26 21:39:02htgoebelsetstatus: resolved -> chatting
messages: + msg107
2008-05-20 23:07:32cedsetstatus: testing -> resolved
messages: + msg99
2008-05-20 20:30:46htgoebelsetmessages: + msg95
2008-05-20 20:12:36cedsetfiles: + print.patch
messages: + msg92
2008-05-20 18:47:02htgoebelsetmessages: + msg89
2008-05-20 17:54:12cedsetmessages: + msg85
2008-05-20 17:44:47htgoebelsetmessages: + msg83
2008-05-19 17:04:41cedsetmessages: + msg59
2008-05-19 15:19:57htgoebelsetmessages: + msg56

Showing 10 items. Show all history (warning: this could be VERY long)